Make ($!) representation-polymorphic
ClosedPublic

Authored by dfeuer on Feb 5 2018, 2:24 PM.

Details

Summary

Now that ($) is representation-polymorphic, ($!) should
surely follow suit.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
dfeuer created this revision.Feb 5 2018, 2:24 PM
simonpj accepted this revision.Feb 6 2018, 2:50 AM
simonpj added a subscriber: simonpj.

Looks ok to me

This revision is now accepted and ready to land.Feb 6 2018, 2:50 AM
bgamari requested changes to this revision.Feb 6 2018, 12:26 PM

Can you add a note about this in the release notes?

This revision now requires changes to proceed.Feb 6 2018, 12:26 PM
dfeuer updated this revision to Diff 15409.Feb 8 2018, 4:49 AM

Note in change logs

bgamari accepted this revision.Feb 12 2018, 6:49 PM

Looks good to me.

This revision is now accepted and ready to land.Feb 12 2018, 6:49 PM
This revision was automatically updated to reflect the committed changes.
osa1 added a subscriber: osa1.Feb 13 2018, 1:00 AM

I think this broke test T5545.

osa1 added a comment.Feb 13 2018, 1:02 AM

Also broke: holes, holes3.

Blast. I'll fix them tomorrow.